#!/usr/bin/env node

/**
 * Compile files.
 */

'use strict'

process.chdir(`${__dirname}/..`)

const apeTasking = require('ape-tasking')
const apeCompiling = require('ape-compiling')
const path = require('path')
const expandglob = require('expandglob')
const co = require('co')

apeTasking.runTasks('build', [
  () => co(function * () {
    let srcDir = `${__dirname}/../src`
    let destDir = `${__dirname}/../dist`
    let filenames = yield expandglob('*.scss', { cwd: srcDir })
    for (let filename of filenames) {
      let name = path.basename(filename, '.scss')
      let src = path.join(srcDir, name + '.scss')
      let dest = path.join(destDir, name + '.css')
      yield apeCompiling.compileScss(src, dest, {
        sourcemap: 'inline'
      })
    }
  })
], true)
